Accounts

Get Connection Account Stats

Returns live account counts such as followers and likes, on platforms that support them like TikTok, Instagram and Facebook. Facebook Pages can also return their Messenger profile and reviews.

GET
/v1/connections/{id}/stats

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Path Parameters

id*string
Length1 <= length

Query Parameters

include?string

Extra Facebook Page data to return, as a comma-separated list. Accepts messenger-profile and reviews.

Length1 <= length <= 64
limit?integer

Number of reviews to return when reviews is included. Defaults to 20.

Range1 <= value <= 50

Response Body

Account stats

application/json
  1. response
accountId*string
platform*string
status*string
stats?|null
fetchedAt*string
Formatdate-time
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.getConnectionStats({  id: "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",  include: "messenger-profile,reviews",  limit: 20,});console.log(response);
Example Response
{  "accountId": "a1b2c3d4-e5f6-4a7b-8c9d-e0f1a2b3c4d5",  "platform": "tiktok",  "status": "ready",  "stats": {    "followerCount": 1234,    "followingCount": 56,    "likesCount": 7890,    "videoCount": 12  },  "fetchedAt": "2026-08-25T10:00:00.000Z"}